#
# spec file for package clipman
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           clipman
Version:        1.6.4
Release:	1%{?dist}
Summary:        A clipboard manager for Wayland
License:        GPL-3.0-only
URL:            https://github.com/yory8/clipman
Source0:        https://github.com/yory8/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Run go build && go mod vendor to get vendor/ subdirectory
Source1:        %{name}-%{version}-vendor.tar.xz
BuildRequires:  golang
BuildRequires:  elfutils

%description
A clipboard manager for Wayland with support for
persisting copy buffers after an application exits.

%prep
%autosetup -p1 -a1

%build
export GOCACHE=$(readlink -f vendor/)
%ifarch ppc64
BUILDMOD=""
%else
BUILDMOD="-buildmode=pie"
%endif
export RPM_OPT_FLAGS="%{optflags}"
go build -v -x $BUILDMOD -a -ldflags "-linkmode=external" -mod vendor

%install
eu-elfcompress --type=none clipman
install -Dm755 clipman %{buildroot}%{_bindir}/clipman
install -Dm644 -t %{buildroot}%{_mandir}/man1/ docs/%{name}.*

%files
%doc README.md CONTRIBUTING.md CHANGELOG.md
%{_bindir}/clipman
%{_mandir}/man1/%{name}*.1*
%license COPYING

%changelog
* Tue Mar 22 2022 Matej Cepl <mcepl@suse.com>
- Update to 1.6.1:
  - properly deal with Windows-style newlines
  - improve man pages
  - --unix option to normalize all line endings to LF
  - --primary option to serve the selection to primary instead
    than clipboard
  - show-history command to obtain a json representation of the
    clipboard's history
  - when using the bemenu tool we don't forcefully set it to
    bottom position anymore
* Sun Jan 31 2021 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording from descriptions.
* Sat Jan 30 2021 Matej Cepl <mcepl@suse.com>
- Initial packaging effort to package 1.5.2.
